
.fx-relay-panel {
  --panelWidth: 360px;
  /* Any changes to --panelHeight should be reflected in the screen media query */
  --panelHeight: 500px;
  background-color: var(--colorWhite);
  min-width: var(--panelWidth);
  min-height: var(--panelHeight);
  color: var(--relayInk70);
  overflow: hidden;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: border-box;
  font-family: var(--fontStackBase);
}

.fx-relay-panel *, .fx-relay-panel *:before, .fx-relay-panel *:after {
  box-sizing: inherit;
}

sign-up-panel {
  height: 100%;
  display: flex;
  flex-direction: column;
  font-size: 14px;
  position: relative;
}

sign-up-panel::after {
  height: 3px;
  background: var(--relayFxGradient);
  content: "";
  position: absolute;
  lefT: 0;
  right: 0;
  top: -1px;
  background-size: 120%;
}

::-moz-focus-inner {
  border: 0;
}

p {
  margin-top: 0;
  line-height: 1.5;
  text-align: center;
}

settings, report-issue, report-issue-success {
  background-color: rgba(255, 255, 255, 1);
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  visibility: hidden;
  z-index: 2;
  transform: translateX(360px);
  transition: all 0.5s ease;
  font-size: 14px;
  line-height: 1.4;
  padding: 0 24px;
}

.report-issue-content {
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding: 0;
  border: 0 none;
}

.report-section {
  margin-bottom: 8px;
  display: flex;
  gap: 8px;
  flex-direction: column;
}

.report-label::after {
  content: ":";
}

.report-section ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.report-section li {
  display: flex;
  align-items:flex-start;
  margin-bottom: 8px;
}

.report-section input[type=checkbox]{
  margin-right: 8px;
}

.report-section input[type=text]{
  width: 100%;
  padding: 4px;
}

.report-section input[type=submit]:disabled{
  background: var(--colorInformationalDisabled);
}

.report-success {
  padding-top: 24px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.report-success h1 {
  font-weight: 700;
  font-size: 16px;
}

.report-continue {
  cursor: pointer;
  color: var(--relayBlue3);
}

.setting {
  padding: 12px 0;
  border-bottom: 1px solid var(--relayGrey20);
  display: flex;
  justify-content: space-between;
}

.flex-col {
  flex-direction: column;
}

.setting-label {
  display: inline-block;
  color: var(--relayInk70);
}

a.setting-label {
  text-decoration: none;
}

a.setting-label:hover {
  background-color: var(--relayGrey20);
}

a.setting-label:focus {
  box-shadow: var(--relayButtonFocus);
}

a.setting-label:active {
  background-color: var(--relayGrey30);
}

.settings-list {
  padding: 0;
  margin: 0;
  list-style-type: none;
  margin: 0;
}

.setting-link {
  margin-bottom: 12px;
}

.setting-link:last-of-type {
  margin-bottom: 0;
}

fx-relay-logo-wrapper {
  background-color: white;
}

.settings-header,
fx-relay-logo-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  padding: 0 24px 0 24px;
  width: 100%;
  min-height: 64px;
  height: 64px;
  max-height: 64px;
}

.show-settings settings {
  visibility: visible;
  transform: translateX(0);
  transition: all 0.3s ease;
}

.show-settings fx-relay-logo-wrapper,
.show-settings .signed-in-panel {
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
}

.show-report-issue report-issue {
  visibility: visible;
  transform: translateX(0);
  transition: all 0.3s ease;
}

.show-report-issue fx-relay-logo-wrapper,
.show-report-issue settings {
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
}

fx-relay-logo-wrapper,
.signed-in-panel {
  opacity: 1;
  transition: all 0.5s ease;
}

.settings-hl {
  margin: auto;
  justify-content: center;
  text-align: center;
  font-size: 18px;
  font-family: var(--relayMetropolis);
  font-weight: 600;
}

.close-settings {
  background-image: url("/images/arrowhead-left.svg");
  left: 24px;
}

.open-settings {
  background-image: url("/images/preferences.svg");
  right: 24px;
}

.settings-report-issue {
  cursor: pointer;
}

.settings-toggle:hover, .settings-report-issue-return:hover {
  opacity: .8;
}

.settings-toggle:focus, .settings-report-issue-return:focus {
  box-shadow: var(--relayButtonFocus);
}

.settings-toggle:active, .settings-report-issue-return:active {
  opacity: 1;
}

.settings-toggle, .settings-report-issue-return  {
  border-radius: 50%;
  background-repeat: no-repeat;
  background-size: 18px;
  background-position: center center;
  height: 26px;
  width: 26px;
  position: absolute;
  background-color: rgba(255, 255, 255, 0);
  border: 1px solid rgba(255, 255, 255, 0);
}

.intro {
  margin: 0 auto 16px auto;
  max-width: 260px;
  color: var(--relayInkLight);
  line-height: 1.3;
  font-size: 15px;
}

.hidden,
panel-content {
  transition: all 0.2s ease;
}

panel-content {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  overflow: hidden;
}

.button {
  text-decoration: none;
}

.welcome {
  font-weight: 800;
  font-size: 28px;
  line-height: 1.2;
  max-width: 260px;
  text-align: center;
  color: var(--relayInk);
  font-family: var(--relayMetropolisBold);
  margin: auto auto 8px auto;
}

.blue-primary-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--colorInformational);
  color: var(--relayInk);
  font-family: var(--relayMetropolis);
  font-weight: 800;
  font-size: 15px;
  border: 0 none;
  text-decoration: none;
  color: rgba(255, 255, 255, 1);
  min-width: 200px;
  min-height: 48px;
  margin: 0 auto auto auto;
  padding: 12px 16px;
  border-radius: 4px;
}

.blue-primary-btn:hover {
  background: var(--relayBlueHover);
}

.blue-primary-btn:focus {
  box-shadow: var(--relayButtonFocus);
}

.blue-primary-btn:active {
  background: var(--relayBlueActive);
}

.survey-link:hover {
  color: var(--relayBlueHover);
}

main-panel {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.text-link {
  font-weight: 700;
}

.panel-status {
  display: flex;
  justify-content: space-between;
  padding: 8px 16px;
  line-height: 150%;
  font-size: 1rem;
  border-bottom: 1px solid var(--relayGrey20);
  border-top: 1px solid var(--relayGrey20);
  width: 100%;
  font-size: 13px;
  font-family: var(--relayInterUiRegular);
  margin-bottom: var(--spacingLg);
}

.aliases-remaining {
  margin: 0;
  font-family: var(--relayInterUiRegular);
  text-align: start;
}

.premium-cta {
  margin: 0;
  font-family: var(--relayInterUiRegular);
  color: var(--colorInformational);
  font-weight: 700;
  text-decoration: none;
}

.premium-cta a {
  margin: 0;
}

.num-aliases-remaining,
.max-num-aliases {
  font-weight: 700;
}

/*upgrade banner*/

.upgrade-banner-wrapper {
  background: var(--relayGrey20);
  border-radius: 8px;
  padding: 10px;
  margin-top: 8px;
  display: flex;
  text-decoration: none;
}

.upgrade-banner-wrapper img {
  width: 30px;
  height: 30px;
  margin: auto;
}

.upgrade-banner {
  font-family: var(--relayInterUiRegular);
  padding-left: 10px;
  color: #5953F3;
  margin: auto;
  font-weight: 700;
}

footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto 0 0 0;
  padding-top: var(--spacingMd);
  border-top: 0.5px solid var(--colorGrey10);
}

.footer-button {
  width: 100%;
  font-size: 13px;
  padding-bottom: var(--spacingMd);
  color: var(--colorInformational);
  font-weight: 600;
  text-decoration: none;
  font-family: var(--relayInterUiRegular);
  text-align: center;
}

.footer-button:hover {
  color: var(--colorInformationalHover)
}

.footer-button:active {
  background-color: var(--relayGrey50);
}

.footer-button:focus {
  color: var(--colorInformationalFocus)
}

/* onboarding */

onboarding-panel {
  font-size: 14px !important;
  padding: 8px 30px 30px 30px;
  display: flex;
  align-items: flex-start;
  height: 100%;
  flex-direction: column;
  position: relative;
  transition: all 0.2s ease;
  background: white;
}

/* Premium Panel */

.premiumPanel {
  padding: 8px 16px 0px 16px;
  font-family: var(--relayInterUiRegular);
}

.content-wrapper, .premium-wrapper {
  display: flex;
  width: 100%;
  flex-direction: column;
  gap: var(--spacingSm);
}

.end-of-intro-pricing-wrapper {
  display: flex;
  height: 360px;
  width: 100%;
  flex-direction: column;
  justify-content: space-around;
}

.dashboard-stats-list {
  width: 100%;
  border-radius: 8px;
  padding: 0 15px;
  font-size: 13px;
  background: #F7F7F7;
}

.dashboard-stats-list ul {
  list-style-type: none;
  padding: 0;
}

.dashboard-stats-list li:first-child {
  font-weight: 600;
  padding-bottom: 12px;
}

.dashboard-stats-list li:nth-child(2) {
  padding: 12px 0;
}

.dashboard-stats-list li:nth-child(3) {
  padding: 12px 0;
}

.dashboard-stats-list li:not(:first-child){
  border-top: 1px solid var(--relayGrey20);
  padding-top: 12px;
  padding-left: 30px;
}

.dashboard-info {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.dashboard-info::before {
  content: "";
  width: 20px; 
  height: 20px;
  margin-left: -25px;
  position: absolute;
  background-repeat: no-repeat;
  background-color: rgba(0, 0, 0, 0);
  transition: opacity 0.2s ease;
}

.dashboard-info:nth-child(2)::before {
  background-image: url("/icons/blocked-icon.svg");
}

.dashboard-info:nth-child(3)::before {
  background-image: url("/icons/forward-icon.svg");
}

.dashboard-info:nth-child(4)::before {
  background-image: url("/icons/email-trackers-icon.svg");
}

.dashboard-stats {
  right: 0;
  display: flex;
  align-items: right;
}

.email-domain-illustration {
  margin: 0 auto;
  display: block;
  height: 80px;
}

.register-domain-component {
  margin: 0 auto;
  padding-top: var(--spacingMd);
  display: flex;
  flex-direction: column;
  height: auto;
  gap: var(--spacingSm);
}

.register-domain-cta {
  max-width: 200px;
  font-size: 1rem;
  padding: var(--spacingXs) var(--spacingSm);
  text-align: center;
}

.register-domain-headline {
  font-weight: 700;
  font-size: 14px;
  text-align: center;
}

.educational-component {
  display: flex;
  flex-direction: row;
  padding: var(--spacingSm) 0;
  justify-content: space-between;
  height: auto;
  gap: var(--spacingMd);
  align-items: start;
}

.education-description {
  display: flex;
  flex-direction: column;
  flex: 2;
  width: 100%;
}

.education-img-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 1.5;
  height: auto;
  max-width: 120px;
}

#bundle-phones-promo #panel1 .education-img-wrapper,
#bundle-phones-promo #panel2 .education-img-wrapper
 {
  box-shadow: var(--boxShadowSm);
  border-radius: var(--borderRadiusMd);
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  object-fit: cover;
  height: auto;
}

.education-img {
  width: 100%;
  height: auto;
  justify-content: center;
  align-items: center;
  display: flex;
}

.education-headline {
  font-family: var(--relayInterUiRegular);
  font-weight: 700;
  font-size: 15px;
}

.onboarding-h1, .educational-headline {
  font-size: 15px;
  font-family: var(--relayMetropolis);
  margin: 0;
}

onboarding-panel p, .education-body {
  text-align: start;
  margin: 0;
  font-size: 12.5px;
  line-height: 130%;
}

/* Add this class if description is too long */
.small-font-size {
  font-size: 11px;
}

.onboarding-cta {
  cursor: pointer;
  font-weight: 600;
  font-size: 12.5px;
  line-height: 170%;
  text-decoration: underline;
  color: var(--colorInformational);
  align-self: flex-start;
}

.js-new-label {
  display: none;
}

.onboarding-cta:hover {
  color: var(--colorInformationalHover);
}

.onboarding-cta:focus {
  color: var(--colorInformationalFocus);
}

.onboarding-img {
  width: 100%;
}

.img-wrapper {
  max-height: 100%;
  overflow: hidden;
  text-align: center;
  margin: 0;
}

.maxAliasesPanel .onboarding-pagination {
  display: none !important;
}

.maxAliasesPanel .onboarding-img {
  width: 200px;
}

.survey-link {
  color: var(--colorInformational);
  margin: 12px auto 0 0;
  border-radius: 2px;
}

.onboarding-pagination {
  position: absolute;
  display: flex;
  bottom: var(--spacingSm);
  justify-content: center;
  flex-direction: row;
  left: 0;
  right: 0;
  margin: auto;
}

.panel-nav, .premium-panel-nav {
  border: none;
  outline: none;
  border-radius: 50%;
  width: 15px;
  padding: 4px;
  position: relative;
  background-color: rgba(0, 0, 0, 0);
}

.panel-nav::after, .premium-panel-nav::after {
  content: "";
  display: inline-block;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  background-position: center center;
  background-size: 90%;
  background-repeat: no-repeat;
  background-image: url("/images/arrowhead-left.svg");
  opacity: .4;
  transition: opacity 0.2s ease;
}

.settings-toggle:hover::after, .settings-report-issue-return:hover::after,
.panel-nav:hover::after, .premium-panel-nav:hover::after {
  opacity: .8;
  transition: opacity 0.2s ease;
}

.settings-toggle:focus, .settings-report-issue-return:focus,
.panel-nav:focus, .js-panel-nav:focus {
  box-shadow: var(--relayButtonFocus);
}

.settings-toggle:active::after, .settings-report-issue-return:active::after,
.panel-nav:active::after, .premium-panel-nav:active::after {
  opacity: 1;
  transition: opacity 0.2s ease;
}

.next-panel::after {
  transform: rotate(180deg);
}

.panel-num, .js-panel-num {
  width: auto;
  margin: 0;
  text-align: center;
  justify-self: center;
}

.current-panel,
.panel-num, .js-panel-num {
  font-weight: 600;
  font-size: 14px;
  padding: 0 var(--spacingXs);
  text-align: center;
  display: inline;
}

.current-panel, .total-panels {
  margin: 0 var(--spacingXs);
  padding-right: var(--spacingXs);
}



/* For mobile screens with a bigger height viewport than the browser popup.
   This takes the --panelHeight + 1px as its min-height. */

/* TODO: Understand why this exists before removing */
/* @media screen and (min-height: 501px) {
  .fx-relay-panel {
    height: 100vh;
  }

  fx-relay-logo-wrapper {
    margin-top: 2rem;
  }

  fx-relay-logomark {
    width: 48px;
    height: 50px;
  }

  fx-relay-logotype {
    width: 70%;
    height: 50px;
  }

  .intro {
    margin-top: 5rem;
    margin-bottom: 2rem;
  }

  .intro,
  .alias,
  .error-message {
    font-size: 1rem;
  }

  .text-link {
    border-bottom: 1px solid var(--relayInk);
  }

  .create-account {
    font-size: 1.1rem;
    padding: 1rem 3rem;
  }

  alias-creation {
    margin-top: 12rem;
  }

  .view-dashboard {
    margin: auto auto 0 auto;
  }
} */

.newsflash-wrapper.is-hidden, .newsflash-wrapper .is-hidden {
  display: none;
}

.newsflash-wrapper {
  background-color: var(--relayGrey10);
  padding: 8px;
  margin-top: 16px;
  height: 100%;
}

.newsflash-description {
  padding: 0 8px;
}

.newsflash-headline {
  background: white;
  font-size: 15px;
  font-weight: bold;
  padding: 12px 12px 12px 48px;
  border-radius: 8px;
  box-shadow: 0 5px 10px -3px rgba(29, 17, 51, .12);
  font-family: var(--relayMetropolis);
}

.newsflash-headline:before {
  content: "";
  display: inline-block;
  height: 20px;
  width: 20px;
  margin-left: -32px;
  margin-top: -3px;
  background-image: url("/images/icon-orange-info.svg");
  background-size: 20px;
  background-repeat: no-repeat;
  background-position: center center;
  position: absolute;
}

.newsflash-description a {
  color: var(--colorInformational);
  font-weight: bold;
  padding-top: 8px;
  text-decoration: none;
}

.newsflash-wrapper:not(.has-approval-button) .newsflash-description a {
  display: block;
  text-align: center;
}
.newsflash-wrapper:not(.has-approval-button) .newsflash-description a:hover {
  text-decoration: underline;
}

.newsflash-body {
  padding-top: 8px;
}

.newsflash-buttons {
  display: flex;
  margin-top: 48px;
  justify-content: space-evenly;
}

.newsflash-buttons > button {
  width: 120px;
  padding: 8px 0;
  font-size: 15px;
  border-radius: 4px;
  font-weight: bold;
  text-align: center;
  text-decoration: none;
  border: 2px solid var(--colorInformational);
  cursor: pointer;
}

.newsflash-button-dismiss {
  color: var(--colorInformational);
  background: none;
}

.newsflash-button-allow {
  background: var(--colorInformational);
  color: white;
}

.newsflash-button-allow:hover, 
.newsflash-button-dismiss:hover  {
  background: var(--relayBlueHover);
  color: white;
}

.newsflash-button-allow:focus,
.newsflash-button-dismiss:focus {
  box-shadow: var(--relayButtonFocus);
}

.end-of-intro-pricing h1 {
  font-size: 1.3em;
}

.end-of-intro-pricing p {
  line-height: 120%;
}

.countdown-timer {
  align-self: center;
  margin: 0;
  font-family: var(--relayMetropolisBold);
}

.countdown-timer dl {
  display: flex;
  gap: 8px;
}

.countdown-timer dl > div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: var(--spacingXs);
  width: var(--layoutLg);
  background-color: var(--colorViolet80);
  border-radius: 8px;
  color: white;
  border: 2px solid var(--colorWhite);
  box-shadow: 0px 5px 8px var(--colorGrey20);
  padding: 8px;
}

.countdown-timer dt {
  font-weight: 600;
}

.countdown-timer dd {
  font-weight: 700;
  font-size: 2.3em;
  margin: 0;
  font-family: var(--fontStackFirefoxBold);
}

.new-label {
  background: var(--colorViolet70);
  color: white;
  font-size: 0.75em;
  font-weight: 700;
  align-self: flex-start;
  text-transform: uppercase;
  border-radius: var(--spacingXs);
  padding: var(--spacingXs) var(--spacingSm);
}

.hidden {
  position: absolute;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.is-hidden, .hidden {
  position: absolute;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.is-invisible {
  opacity: 0;
}